Bug 10691 - listings.cfg missing, no language support out of the box
: listings.cfg missing, no language support out of the box
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tetex-latex-listings)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-20 14:53 by
Modified: 2008-07-09 14:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-20 14:53:49
$ cat test.tex
\documentclass{article}
\usepackage{listings}
\begin{document}
\lstinputlisting[language=Java]{foo.java}
\end{document}
$ touch foo.java
$ pdflatex test.tex
This is pdfTeX, Version 3.14159-1.10a (Web2C 7.4.4)
(./test.tex{/usr/share/texmf/pdftex/config/pdftex.cfg}
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, r
ussian, ukrainian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo)) (./listings.sty
(/usr/share/texmf/tex/latex/graphics/keyval.sty) (./lstpatch.sty)
(./lstmisc.sty))
No file test.aux.

! Package Listings Error: Couldn't load requested language.

See the Listings package documentation for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.4 \lstinputlisting[language=Java]{foo.java}
                                             
? 

! Package Listings Error: language java undefined.

See the Listings package documentation for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.4 \lstinputlisting[language=Java]{foo.java}
                                             
? 


--- tetex-latex-listings.spec-	2005-08-28 13:16:05 +0000
+++ tetex-latex-listings.spec	2007-01-20 11:43:18 +0000
@@ -31,6 +31,7 @@ latex listings-1.3.ins
 %install
 %__mkdir_p %buildroot{%_datadir/texmf/tex/latex/listings,%_docdir}
 install -m644 *.sty %buildroot%_datadir/texmf/tex/latex/listings/
+install -m644 *.cfg %buildroot%_datadir/texmf/tex/latex/listings/
 
 %post
 [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
@@ -41,6 +42,7 @@ install -m644 *.sty %buildroot%_datadir/
 
 %files
 %_datadir/texmf/tex/latex/listings/*.sty
+%config %_datadir/texmf/tex/latex/listings/listings.cfg
 %doc README listings-1.3.pdf
 
 %changelog
------- Comment #1 From 2008-07-09 12:25:19 -------
2led: раз Вы теперь занимаетесь этим пакетом, посмотрите, пожалуйста, актуально
ли. 
------- Comment #2 From 2008-07-09 14:35:53 -------
fixed in tetex-latex-listings-1.4-alt2